petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSTrajectoryRegister

Adds a way of storing trajectories to the TS package

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryRegister(const char sname[],PetscErrorCode (*function)(TSTrajectory,TS))

Not Collective Many br

### Input Parameters

| name | - The name of a new user-defined creation routine Many br
| create_func | - The creation routine itself Many br

### Notes

TSTrajectoryRegister() may be called multiple times to add several user-defined tses. Many br

Many br

### Keywords

TS, register

### See Also

TSTrajectoryRegisterAll(), TSTrajectoryRegisterDestroy()

Level:advanced
Location:src/ts/interfacetraj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages